|  | Home · All Classes · Modules

# QFocusEvent Class Reference
[QtGui module]

The QFocusEvent class contains event parameters for widget focus events. More...

Inherits QEvent.

### Methods

- __init__ (self, QEvent.Type, Qt.FocusReason reason = Qt.OtherFocusReason)
- __init__ (self, QFocusEvent)
- bool gotFocus (self)
- bool lostFocus (self)
- Qt.FocusReason reason (self)

## Detailed Description

The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, key presses (such as Tab or Backtab), the window system, popup menus, keyboard shortcuts, or other application-specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers QWidget.focusInEvent(), QWidget.focusOutEvent(), QGraphicsItem.focusInEvent and QGraphicsItem.focusOutEvent() receive focus events.

See also QWidget.setFocus(), QWidget.setFocusPolicy(), and Keyboard Focus.

## Method Documentation

### QFocusEvent.__init__ (self, QEvent.Type, Qt.FocusReason reason = Qt.OtherFocusReason)

Constructs a focus event object.

The type parameter must be either QEvent.FocusIn or QEvent.FocusOut. The reason describes the cause of the change in focus.

### QFocusEvent.__init__ (self, QFocusEvent)

### bool QFocusEvent.gotFocus (self)

Returns true if type() is QEvent.FocusIn; otherwise returns false.

### bool QFocusEvent.lostFocus (self)

Returns true if type() is QEvent.FocusOut; otherwise returns false.

### Qt.FocusReason QFocusEvent.reason (self)

Returns the reason for this focus event.